Package org.opensaml.profile.action.impl

# Class PopulateMetricContext.NullFunction

java.lang.Object
org.opensaml.profile.action.impl.PopulateMetricContext.NullFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,Boolean>`

Enclosing class:
  PopulateMetricContext

private class PopulateMetricContext.NullFunction extends Object implements Function<ProfileRequestContext,Boolean>
Default function to remove the context from the tree when no metrics are installed.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`NullFunction()`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### NullFunction

private NullFunction()

## Method Details

### apply

public Boolean apply(ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Boolean>`